package log;

import org.apache.http.impl.client.CloseableHttpClient;

/**
 * 基于枚举的http单例
 * @author jiaotianqi
 * @date 2021/7/15 15:41
 */
public enum HttpClientEnum {

    INITIALIZE;

    private CloseableHttpClient httpClient = HttpClientInit.getHttpClient();

    public CloseableHttpClient getHttpClient() {
        return httpClient;
    }
}
